/*
  fepbrdg.h : I/F of Fep Bridge 1.33
    Copyright (C) Yutaka Tamiya (tamy@flab.fujitsu.co) 1996/11/13
 */

#ifndef fepbrdg_H
#define fepbrdg_H

/* Network service name & port number */
#ifndef FEP_SERVICE_NAME
#	define FEP_SERVICE_NAME	"fepbrdg"
#endif
#ifndef FEP_PORT
#	define FEP_PORT	6622
#endif

/*
    Packet ID
*/
typedef enum {
    FO_Info	= 1,
    FO_Ack	= 2,
    FO_Result	= 5,
    FO_Alive	= 3,
    FO_Dead	= 4,
    FO_UserList	= 6,
} FepOutPacketID;

typedef enum {
    FI_Info	= 1,
    FI_Auth	= 3,
    FI_Reset	= 2,
    FI_Conv1	= 4,
    FI_ConvN	= 6,
    FI_Conv	= FI_Conv1,
    FI_Stat	= 5,
    FI_Kill	= 7,	/* ^G */
    FI_UserList	= 8,
    FI_Nop	= 127,
} FepInPacketID;

#endif /* fepbrdg_H */
